Package fr.gouv.vitam.common.database.builder.query

# Class BooleanQuery

java.lang.Object
fr.gouv.vitam.common.database.builder.query.Query
fr.gouv.vitam.common.database.builder.query.BooleanQuery

Direct Known Subclasses:
  `BooleanQuery`

public class BooleanQuery extends Query
Boolean Query

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<Query>`
  `queries`

  ### Fields inherited from class fr.gouv.vitam.common.database.builder.query.Query

  `currentObject, currentQuery, currentTokenQUERY, DATE, exactdepth, extraInfo, isFullText, ready, relativedepth`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BooleanQuery()`
  ``
  `BooleanQuery(BuilderToken.QUERY booleanQuery)`
  BooleanQuery constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final BooleanQuery`
  `add(Query... queries)`
  Add sub queries to Boolean Query
  `void`
  `clean()`
  Clean the object
  `List<Query>`
  `getQueries()`

  ### Methods inherited from class fr.gouv.vitam.common.database.builder.query.Query

  `cleanDepth, createQueryArray, createQueryVariable, createQueryVariableValue, createQueryVariableValue, createQueryVariableValue, createQueryVariableValue, createQueryVariableValue, createQueryVariableValue, getCurrentObject, getCurrentQuery, getExtraInfo, getNode, getParserExactdepth, getParserRelativeDepth, getQUERY, isFullText, isReady, setDepthLimit, setExactDepthLimit, setExtraInfo, setFullText, setParserExactdepth, setParserRelativeDepth, setReady, setRelativeDepthLimit, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### queries

    protected List<Query> queries

- ## Constructor Details

  - ### BooleanQuery

    protected BooleanQuery()

  - ### BooleanQuery

    public BooleanQuery(BuilderToken.QUERY booleanQuery) throws InvalidCreateOperationException
    BooleanQuery constructor
    Parameters:
      `booleanQuery` - and or not
    Throws:
      `InvalidCreateOperationException` - when not a boolean query or error

- ## Method Details

  - ### clean

    public void clean()
    Description copied from class: `Query`
    Clean the object
    Overrides:
      `clean` in class `Query`

  - ### add

    public final BooleanQuery add(Query... queries) throws InvalidCreateOperationException
    Add sub queries to Boolean Query
    Parameters:
      `queries` - list of query
    Returns:
      the BooleanQuery
    Throws:
      `InvalidCreateOperationException` - when not ready or error

  - ### getQueries

    public List<Query> getQueries()
    Returns:
      the list of Queries under this Boolean Query